Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000185Core InformRelationspublic2010-07-07 14:442010-10-28 00:30
Assigned Tograham 
Platformx86OSWindowsOS VersionVista
Product Version6E72 
Target VersionFixed in Version6F95 
Summary0000185: Multi-word verbs are not recognised in forms using an auxiliary
DescriptionI7 doesn't like how the definition in the example source is worded:

Problem. You gave as a definition 'a thing is popular if it is really liked by all people': but that condition makes no sense to me, although the preamble to the definition was properly written. There must be something wrong after 'if'.
Minimal Source Text To Reproduce
Home is a room.

Liking relates various people to various things.

The verb to really like (he really likes, they really like, he really liked, it is really liked, he is 
really liking) implies the liking relation.

Definition: a thing is popular if it is really liked by all people.
Additional InformationThe same source compiles if we shorten the verb to just 'like', and likewise if we rephrase the definition as 'if all people really like it'. The forms which don't work are the ones that use an auxiliary verb:

X is/was/etc. really liked by Y
X is/was/etc. really liking Y
TagsNo tags attached.
Effect(serious) Compiler rejects valid code
Attached Files

- Relationships

-  Notes
graham (administrator)
2010-09-03 12:50

Fixed; a blunder in parsing the conjugation, of course.

- Issue History
Date Modified Username Field Change
2010-07-07 14:44 fundin New Issue
2010-07-07 15:01 EmacsUser Status new => confirmed
2010-09-03 12:50 graham Note Added: 0000498
2010-09-03 12:50 graham Status confirmed => resolved
2010-09-03 12:50 graham Resolution open => fixed
2010-09-03 12:50 graham Assigned To => graham
2010-10-25 21:14 jmcgrew Fixed in Version => 6F95
2010-10-28 00:30 jmcgrew Status resolved => closed

Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker